org.apache.ignite.internal.processors.cache.distributed.near

## Class IgniteTxMappingsSingleImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.near.IgniteTxMappingsSingleImpl

All Implemented Interfaces:
  IgniteTxMappings

    public class IgniteTxMappingsSingleImpl
    extends Object
    implements IgniteTxMappings

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxMappingsSingleImpl()`

### Method Summary

Methods
`void` `clear()` Clears this mappings.
`boolean` `empty()`
`GridDistributedTxMapping` `get(UUID nodeId)`
`GridDistributedTxMapping` `localMapping()`
`Collection<GridDistributedTxMapping>` `mappings()`
`void` `put(GridDistributedTxMapping mapping)`
`GridDistributedTxMapping` `remove(UUID nodeId)`
`boolean` `single()`
`GridDistributedTxMapping` `singleMapping()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteTxMappingsSingleImpl

    public IgniteTxMappingsSingleImpl()

### Method Detail

#### clear

    public void clear()

Clears this mappings.

Specified by:
  `clear` in interface `IgniteTxMappings`

#### empty

    public boolean empty()

Specified by:
  `empty` in interface `IgniteTxMappings`
Returns:
  `True` if there are no mappings.

#### get

    public GridDistributedTxMapping get(UUID nodeId)

Specified by:
  `get` in interface `IgniteTxMappings`
Parameters:
  `nodeId` - Node ID.
Returns:
  Node mapping.

#### put

    public void put(GridDistributedTxMapping mapping)

Specified by:
  `put` in interface `IgniteTxMappings`
Parameters:
  `mapping` - Mapping.

#### remove

    public GridDistributedTxMapping remove(UUID nodeId)

Specified by:
  `remove` in interface `IgniteTxMappings`
Parameters:
  `nodeId` - Node ID.
Returns:
  Removed mapping.

#### localMapping

    @Nullable
    public GridDistributedTxMapping localMapping()

Specified by:
  `localMapping` in interface `IgniteTxMappings`
Returns:
  Mapping for local node.

#### single

    public boolean single()

Specified by:
  `single` in interface `IgniteTxMappings`
Returns:
  `True` if this is single mapping.

#### singleMapping

    @Nullable
    public GridDistributedTxMapping singleMapping()

Specified by:
  `singleMapping` in interface `IgniteTxMappings`
Returns:
  Non null instance if this mappings contain only one mapping.

#### mappings

    public Collection<GridDistributedTxMapping> mappings()

Specified by:
  `mappings` in interface `IgniteTxMappings`
Returns:
  All mappings.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015